import { Component } from '@angular/core';
import { BeneficiaryActivationService } from '../beneficiary-activation.service';

@Component({
  selector: 'app-beneficiary-activation',
  templateUrl: './beneficiary-activation.component.html',
  styleUrls: ['./beneficiary-activation.component.css'],
})
export class BeneficiaryActivationComponent {
  BeneficiaryData: any = [];
  BeneficiaryNo: any = '';
  isLoading: boolean = false;

  constructor(private beneficiarySvc: BeneficiaryActivationService) {}

  ngOnInit() {
    this.getBeneficiaryListByBeneficiaryNo(true);
  }

  search() {
    this.getBeneficiaryListByBeneficiaryNo(false);
  }

  getBeneficiaryListByBeneficiaryNo(isPageLoad = false) {
    if (!this.BeneficiaryNo && !isPageLoad) {
      alert('Please Enter Beneficiary No.');
      return;
    }
    this.isLoading = true;
    this.beneficiarySvc
      .getBeneficiaryListByBeneficiaryNo(this.BeneficiaryNo)
      .subscribe({
        next: (res: any) => {
          if (res?.length == 0) {
            alert('No data found.');
            return;
          }
          this.BeneficiaryData = res;
          this.isLoading = false;
        },
        error: (err: any) => {
          this.BeneficiaryData = [];
          this.isLoading = false;
          alert('No data found.');
        },
      });
  }

  selectAll(event: any) {
    const checked = event.target.checked;
    this.BeneficiaryData.forEach((record) => (record.selected = checked));
  }

  activateBeneficiary() {
    const selectedRecords = this.BeneficiaryData.filter(
      (record) => record.selected
    );

    if (selectedRecords.length === 0) {
      alert('Please Select Beneficiary for Activation.');
      return;
    }

    const payload = selectedRecords.map((item) => ({
      IschkBenef: true,
      BeneficiaryNumber: item.BeneficiaryNumber,
    }));

    this.beneficiarySvc.activateBeneficiary(payload).subscribe({
      next: (res: any) => {
        if (res) {
          this.getBeneficiaryListByBeneficiaryNo(true);
          alert('Beneficiary activate successfully.');
        }
      },
      error: (err) => {
        alert(err?.error?.message);
      },
      complete: () => {},
    });
  }

  toggleSideBar() {
    const bodyElement = document.body;
    bodyElement.classList.toggle('sidebar-collapsein');
  }
}
