import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ReleaseBeneficiaryComplianceRejectService } from '../services/release-beneficiary-compliance-reject.service';
import { RejectReportService } from '../services/reject-report.service';
import { Router } from '@angular/router'; 


@Component({
  selector: 'app-beneficiary-compliance-release-report',
  templateUrl: './beneficiary-compliance-release-report.component.html',
  styleUrls: ['./beneficiary-compliance-release-report.component.css']
})
export class BeneficiaryComplianceReleaseReportComponent  implements OnInit
{
  beneficiaryData: any;
  beneficiaryNo: any;
  remark: string = '';
  constructor(
    private route: ActivatedRoute,
    private releaseBeneficiaryComplianceRejectService: ReleaseBeneficiaryComplianceRejectService,
    private rejectReportService: RejectReportService,
    private router: Router
  ) {}

  ngOnInit(): void {
    this.route.params.subscribe((params) => {
      this.beneficiaryNo = params['id'];
      this.complicanceReleasView(this.beneficiaryNo);
    });
  }

  complicanceReleasView(BeneficiaryNo: string) {
    this.rejectReportService
      .getAllRecords(BeneficiaryNo)
      .subscribe(
        (response: any[]) => {
          if (response.length > 0) {
            this.beneficiaryData = response[0];

            console.log(this.beneficiaryData);
          } else {
            console.error('Empty response or invalid data format');
          }
        },
        (error) => {
          console.error('Error:', error);
        }
      );
  }

  BeneficiaryComplicanceRelease(GUserName: string) {
    this.releaseBeneficiaryComplianceRejectService
      .BeneficiaryComplicanceRelease(this.beneficiaryNo, this.remark, GUserName)
      .subscribe(
        (response) => {
          console.log(response);
        
          this.router.navigate(['/reject-beneficiary-compliance-release']);
        },
        (error) => {
          console.error('Error:', error);
        }
      );
  }
  
  toggleSideBar() {
    const bodyElement = document.body;
    bodyElement.classList.toggle('sidebar-collapsein');
  }
}

