import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from './utils/helper';

@Injectable({
  providedIn: 'root',
})
export class ManageUserSubgroupService {
  constructor(private http: HttpClient) {}

  getGroup() {
    return this.http.get(
      `${environment.apiUrl}/api/manage-user/sub-group/group`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getSubGroup(GroupID: any) {
    return this.http.get(
      `${environment.apiUrl}/api/manage-user/sub-group/sub-group?GroupID=${GroupID}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getAccess(GroupID: any, SubGroupID: any) {
    return this.http.get(
      `${environment.apiUrl}/api/manage-user/sub-group/get-access?GroupID=${GroupID}&SubGroupID=${SubGroupID}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  setAccess(payload: any) {
    return this.http.post(
      `${environment.apiUrl}/api/manage-user/sub-group/set-access`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
