import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root',
})
export class AgencyService {
  url = environment.apiUrl;

  constructor(private router: Router, private http: HttpClient) {}

  login(username: any, password): Observable<any> {
    return this.http.get(
      `${environment.apiUrl}/api/master/Login?username=${username}&password=${password}`
    );
  }

  getAgencyRates(token: any, username, currencyId: any = 0) {
    const headers = new HttpHeaders({
      Authorization: token,
      Accept: 'application/json',
      username: username,
    });
    return this.http.get(
      `${environment.apiUrl}/api/master/agency-rates?currencyId=${currencyId}`,
      {
        headers: headers,
      }
    );
  }
  getvalidation(token: any, username, RatePer: any ,Rate:any) {
    const headers = new HttpHeaders({
      Authorization: token,
      Accept: 'application/json',
      username: username,
    });
    return this.http.get(
      `${environment.apiUrl}/api/master/agency-rates/rates-validation?RatePer=${RatePer}&Rate=${Rate}`,
      {
        headers: headers,
      }
    );
  }

  getCurrencies(token: any, username, currencyType: any = 0): Observable<any> {
    const headers = new HttpHeaders({
      Authorization: token,
      Accept: 'application/json',
      username: username,
    });
    return this.http.get(
      `${environment.apiUrl}/api/master/agency-rates/currency-list?currencyType=${currencyType}
     `,
      {
        headers: headers,
      }
    );
  }

  getSettlementCurrencies(token: any, username): Observable<any> {
    const headers = new HttpHeaders({
      Authorization: token,
      Accept: 'application/json',
      username: username,
    });
    return this.http.get(
      `${environment.apiUrl}/api/master/agency-rates/settlement-currency
     `,
      {
        headers: headers,
      }
    );
  }

  addAgencyRates(token: any, username, payload: any): Observable<any> {
    const headers = new HttpHeaders({
      Authorization: token,
      Accept: 'application/json',
      username: username,
    });
    return this.http.post(
      `${environment.apiUrl}/api/master/agency-rates
     `,
      payload,
      {
        headers: headers,
      }
    );
  }

  updateAgencyRates(token: any, username, payload: any): Observable<any> {
    const headers = new HttpHeaders({
      Authorization: token,
      Accept: 'application/json',
      username: username,
    });
    return this.http.patch(
      `${environment.apiUrl}/api/master/agency-rates
     `,
      payload,
      {
        headers: headers,
      }
    );
  }
}
