import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class EditModeOfPaymentService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getCountryList() {
    return this.http.get(
      `${environment.apiUrl}/api/master/view-agent-modeofpayment/country`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getAgentList(countryId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/api/master/view-agent-modeofpayment/agent?countryID=${countryId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getFillGrid(countryId: any = 0, agentId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/api/master/view-agent-modeofpayment/fill-grid?countryID=${countryId}&agentID=${agentId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getModeofPaymentList() {
    return this.http.get(
      `${environment.apiUrl}/api/master/view-agent-modeofpayment/modeofpayment-edit`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  updateEditModeofPayment(payload: any = {}) {
    return this.http.patch(
      `${environment.apiUrl}/api/master/view-agent-modeofpayment/update`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
