import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root'
})
export class ForexAndTreasuryService {
  url = environment.apiUrl;

  constructor(private router: Router, private http: HttpClient) {}


  getAgencySrReportGrid() {
    return this.http.get(
      `${environment.apiUrl}/api/master/reports/agency/agency-sr-reports/grid?ReportName=Income&AgentID=0&FromDate=2021-02-10&DetailedReport=true`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
  getAgencySrReportAgent() {
    return this.http.get(
      `${environment.apiUrl}/api/master/reports/agency/agency-sr-reports/agent?CountryID=0`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
  getAgencySrReportCountry() {
    return this.http.get(
      `${environment.apiUrl}/api/master/reports/agent-report/agent-wise-trxn-sent-paid/country?UserID=0&Agent_Country_ID=0`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
  getAgencySrReportType() {
    return this.http.get(
      `${environment.apiUrl}/api/master/reports/agency/agency-sr-reports/report-type`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
