import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root'
})
export class RejectReportService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}



  getAllRecords(beneficiaryNo: any) {
    return this.http.get(
      `${environment.apiUrl}/api/complicance/beneficiary-complicance-release/view?BeneficiaryNo=${beneficiaryNo}&status=Reject`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
