import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class ViewComplianceTransactionReportService {
  url = environment.apiUrl;
  constructor(private http: HttpClient) {}

  getComplianceDetailsReport(fromDate: string, toDate: string, srtrNo: any) {
    return this.http.get(
      `${environment.apiUrl}/api/master/compliance-management/compliance-reports/compliance-details-report?FromDate=${fromDate}&ToDate=${toDate}&SRTRNo=${srtrNo}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
